/*
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * "The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * The Original Code is ICEfaces 1.5 open source software code, released
 * November 5, 2006. The Initial Developer of the Original Code is ICEsoft
 * Technologies Canada, Corp. Portions created by ICEsoft are Copyright (C)
 * 2004-2006 ICEsoft Technologies Canada, Corp. All Rights Reserved.
 *
 * Contributor(s): _____________________.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"
 * License), in which case the provisions of the LGPL License are
 * applicable instead of those above. If you wish to allow use of your
 * version of this file only under the terms of the LGPL License and not to
 * allow others to use your version of this file under the MPL, indicate
 * your decision by deleting the provisions above and replace them with
 * the notice and other provisions required by the LGPL License. If you do
 * not delete the provisions above, a recipient may use your version of
 * this file under either the MPL or the LGPL License."
 *
 */
package com.icesoft.faces.component.jsfcl.data;

import java.util.ArrayList;
import java.util.List;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;

import com.icesoft.faces.component.menubar.*;
public class DefaultMenuItems extends ArrayList{
        public DefaultMenuItems() {


            MenuItem topLevel1 = new MenuItem();
            topLevel1.setIcon("xmlhttp/css/xp/css-images/tree_document.gif");
            topLevel1.setValue("topLevel1");

            MenuItem topLevel2 = new MenuItem();
            topLevel2.setIcon("xmlhttp/css/xp/css-images/tree_document.gif");
            topLevel2.setValue("topLevel2");

            MenuItem topLevel3 = new MenuItem();
            topLevel3.setIcon("xmlhttp/css/xp/css-images/tree_document.gif");
            topLevel3.setValue("topLevel3");

            add(topLevel1);
            add(topLevel2);
            add(topLevel3);

//            MenuItem sub1_1 = new MenuItem();
//            sub1_1.setIcon("xmlhttp/css/xp/css-images/tree_document.gif");
//            sub1_1.setValue("sub1_1");
//
//            MenuItem sub1_2 = new MenuItem();
//            sub1_2.setIcon("xmlhttp/css/xp/css-images/tree_document.gif");
//            sub1_2.setValue("sub1_2");
//            MenuItem sub1_3 = new MenuItem();
//            sub1_3.setIcon("xmlhttp/css/xp/css-images/tree_document.gif");
//            sub1_3.setValue("sub1_3");
//
//            topLevel1.getChildren().add(sub1_1);
//            topLevel1.getChildren().add(sub1_2);
//            topLevel1.getChildren().add(sub1_3);
//
//            MenuItem sub1_1_1 = new MenuItem();
//            sub1_1_1.setIcon("xmlhttp/css/xp/css-images/tree_document.gif");
//            sub1_1_1.setValue("sub1_1_1");
//            MenuItem sub1_1_2 = new MenuItem();
//            sub1_1_2.setIcon("xmlhttp/css/xp/css-images/tree_document.gif");
//            sub1_1_2.setValue("sub1_1_2");
//            MenuItem sub1_1_3 = new MenuItem();
//            sub1_1_3.setIcon("xmlhttp/css/xp/css-images/tree_document.gif");
//            sub1_1_3.setValue("sub1_1_3");
//
//            sub1_1.getChildren().add(sub1_1_1);
//            sub1_1.getChildren().add(sub1_1_2);
//            sub1_1.getChildren().add(sub1_1_3);
        }

    }

