/*
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * "The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * The Original Code is ICEfaces 1.5 open source software code, released
 * November 5, 2006. The Initial Developer of the Original Code is ICEsoft
 * Technologies Canada, Corp. Portions created by ICEsoft are Copyright (C)
 * 2004-2006 ICEsoft Technologies Canada, Corp. All Rights Reserved.
 *
 * Contributor(s): _____________________.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"
 * License), in which case the provisions of the LGPL License are
 * applicable instead of those above. If you wish to allow use of your
 * version of this file only under the terms of the LGPL License and not to
 * allow others to use your version of this file under the MPL, indicate
 * your decision by deleting the provisions above and replace them with
 * the notice and other provisions required by the LGPL License. If you do
 * not delete the provisions above, a recipient may use your version of
 * this file under either the MPL or the LGPL License."
 *
 */
package com.icesoft.faces.component.jsfcl.data;

import java.util.ArrayList;

/**
 *
 * @author fye
 */
public class StoreItemList extends ArrayList {

    public StoreItemList() {
        super();

        add(new StoreItem("Ice Cube", 12.00, 7, "001"));
        add(new StoreItem("Ice Breaker", 1.25, 11, "002"));
        add(new StoreItem("Ice Castle", 0.38, 13, "003"));
        add(new StoreItem("Ice Car", 0.38, 13, "004"));
        add(new StoreItem("Ice Book", 0.38, 13, "005"));
        add(new StoreItem("Ice File", 0.38, 13, "006"));
        add(new StoreItem("Ice Graphical", 0.38, 13, "007"));
        add(new StoreItem("Ice Glass", 0.38, 13, "008"));
        add(new StoreItem("Ice Tube", 0.38, 13, "009"));
        add(new StoreItem("Ice Space", 0.38, 13, "010"));
        add(new StoreItem("Ice Documentation", 0.38, 13, "011"));
        add(new StoreItem("Ice Module", 0.38, 13, "012"));
        add(new StoreItem("Ice Node", 0.38, 13, "013"));
        add(new StoreItem("Ice Baby", 0.38, 13, "014"));
    }
}
